Bug 616465 - Upgrade JON2.3.1 to JON2.4GA_QA with oracle is adding '|' sign before and after email address of email alert notification
Upgrade JON2.3.1 to JON2.4GA_QA with oracle is adding '|' sign before and aft...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
3.0.0
All Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Joseph Marques
Rajan Timaniya
:
Depends On:
Blocks: jon-sprint12-bugs 614432
  Show dependency treegraph
 
Reported: 2010-07-20 10:27 EDT by Rajan Timaniya
Modified: 2010-08-12 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (22.64 KB, image/png)
2010-07-20 10:27 EDT, Rajan Timaniya
no flags Details
server log (234.67 KB, text/x-log)
2010-07-20 10:28 EDT, Rajan Timaniya
no flags Details
Screenshot of the apparent symptom showing itself, on postgresql, latest build. (10.87 KB, image/png)
2010-07-21 00:08 EDT, Corey Welton
no flags Details

  None (edit)
Description Rajan Timaniya 2010-07-20 10:27:33 EDT
Created attachment 433179 [details]
screenshot

Description of problem:
Upgrade JON2.3.1 to JON2.4GA_QA with oracle is adding '|' sign before and after email address of email alert notification.

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA  (build #70)
build number: 10856:52c274a

How reproducible:

Steps to Reproduce:
1) Install JON 2.3.1 and agent with Oracle 10g
2) Perform operations on JON 2.3.1
 (i) Create alerts:
       (a) Name:   Platform_alert_test    [Type: Linux (Platform)]
         If Condition:    Free Memory > 0.1B
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or by    
         recovery alert: false
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com
	 Operation- Control Type:  	View Process List

        (b)Name:   JBOSSAS_JVM_ALERT [Type: JBoss AS JVM (Server)]
         If Condition:    Availability goes DOWN
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or byrecovery 
         alert : false 
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com

        (c)Name:RHQ_Agent_JVM_Active_Threads_Alert  [Type: RHQ Agent(Server)]
         If Condition:    JVM Active Threads > -1.0
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or byrecovery 
         alert: false 
         Notify Other Recipients: Eamil - rtimaniy@redhat.com
         Notify Roles (All Resources Role, Super User Role)
         Notify JON Users  (username - rhqadmin)

	(d) Name:   RHQ_Agent_alert_test    [Type: RHQ Agent (Server)]
         If Condition:    Total Memory > 0.1B
         Dampening Rule:  Each time condition set is true
         Action Filters:  Disable alert until re-enabled manually or by    
         recovery alert: false
	 Notify Roles (All Resources Role, Super User Role)
         Notify Other Recipients: Eamil - rtimaniy@redhat.com

5) Stop/Down all JON2.3.1 servers
6) Keep all agents running
7) Upgrade one server from JON2.3.1 to JON 2.4 (build #70) (with same database-Oracle 10g)
8) Verify all alert definitions and its email notification values (alert created in JON2.3.1 - step:2)
  
Actual results:
Upgrade JON2.3.1 to JON2.4GA_QA with oracle is adding '|' sign before and after email address of email alert notification.

Expected results:
JON upgrade should not add '|' sign before or after email address of email alert notificaiton.

Additional info:
Please refer attached screenshot and server log.
Comment 1 Rajan Timaniya 2010-07-20 10:28:02 EDT
Created attachment 433180 [details]
server log
Comment 2 Charles Crouch 2010-07-20 11:01:58 EDT
(9:43:00 AM) ccrouch: pilhuhn: https://bugzilla.redhat.com/show_bug.cgi?id=616465 definitely look valid
(9:43:39 AM) pilhuhn: ccrouch: yes, this is different - will have a look at it
(9:45:01 AM) pilhuhn: int configId = persistConfiguration(propertyName, "|" + buffer.toString() + "|");

I can't imagine this is Oracle specific either
Comment 3 Joseph Marques 2010-07-20 11:27:41 EDT
commit e395447b05a549f9771dcc1f2a362dc86c284210
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 20 11:22:23 2010 -0400

    BZ-616465: fix delimiter for email-based alert notifications
Comment 4 Corey Welton 2010-07-21 00:06:38 EDT
I don't know if this is/was an oracle-only issue, but after installing with the build that should have this fix in it, i am now seeing the same thing occur in postgresql.  Screenshot forthcoming.
Comment 5 Corey Welton 2010-07-21 00:08:50 EDT
Created attachment 433289 [details]
Screenshot of the apparent symptom showing itself, on postgresql, latest build.
Comment 6 Corey Welton 2010-07-21 00:43:28 EDT
Comment on attachment 433289 [details]
Screenshot of the apparent symptom showing itself, on postgresql, latest build.

Nevermind, i had an invalid build.
Comment 7 Corey Welton 2010-07-21 00:45:39 EDT
The pipe symbols are now gone.  QA Verifying.  There are other issues, however...
Comment 8 Corey Welton 2010-08-12 12:50:15 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.